> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coverwhale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Approve Cancellation

> Approves a pending cancellation endorsement.



## OpenAPI

````yaml post /submission/{displayId}/{transactionId}/cancel-approve
openapi: 3.0.0
info:
  title: Cover Whale API V1
  contact:
    name: Cover Whale API Team
  version: '1.0'
servers:
  - url: https://api.coverwhale.dev/v1
security:
  - AccessToken: []
tags:
  - name: Authentication
    description: Authenticating & Interacting with the API
paths:
  /submission/{displayId}/{transactionId}/cancel-approve:
    post:
      tags:
        - Policy Lifecycle
      summary: Approve Cancellation
      description: Approves a pending cancellation endorsement.
      operationId: cancelApprove
      parameters:
        - name: AccessToken
          in: header
          required: true
          schema:
            type: string
        - name: displayId
          in: path
          required: true
          schema:
            type: string
        - name: transactionId
          in: path
          required: true
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              properties:
                cancellation_reason:
                  description: Cancellation reason codes
                  type: array
                  items:
                    type: string
                internal_cancellation_reason:
                  description: Internal cancellation reason codes
                  type: array
                  items:
                    type: string
                cancellation_reason_broker:
                  description: Broker-provided cancellation reason
                  type: string
                cancel_reason_others:
                  description: Free-text cancellation reason
                  type: string
              type: object
      responses:
        '200':
          description: Cancellation approved
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                    example: success
                  submission_number:
                    type: string
                  transaction_id:
                    type: integer
                  submission_status:
                    type: string
                type: object
        '401':
          description: Unauthorized
        '404':
          description: Submission not found
components:
  securitySchemes:
    AccessToken:
      type: apiKey
      description: >-
        AWS Cognito access token obtained from the /authentication endpoint.
        Token expires after 3600 seconds.
      name: AccessToken
      in: header

````